{% set CodiceModulo = "MANIF_TRANS" %}
{% set Urn = "document:c_c553:manifestazione.temporanea;transito.limitazione.chiusura" %}
{% set Urn_procedimento = "" %}
{% extends "base.html" %}

{% block meta %}

<meta campi_firma="AventeTitolo1_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
descrizione="Domanda di transito, limitazione o chiusura traffico"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
istruzioni_compilazione="ATTENZIONE: questo modulo deve essere compilato con i dati del sottoscrivente."
istruzioni_invio=""
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="secondario"
verifica_pagamento="NO"
versione="1.0|09/11/2020"/>

<meta codice_allegato="DAE-CDI"
urn_allegato="document:s_italia:generale;documento.identita;documentazione"
descrizione_estesa="Copia del documento di identità"
filename="Documento identita"
firmato="NO"
name="GLOBO_allegato"
numero="1"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %}
  Domanda di transito, limitazione o chiusura traffico
{% endblock title %}

{% block content %}

<globo_fondo_pagina areaheight="150" scope="2">
  {{ utils.firma() }}
</globo_fondo_pagina>

<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="'Domanda di transito, limitazione o chiusura traffico'"/>

{{ intestazioni.intestazione_modulosecondario_senzabollo() }}

<h1 class="Modulo">
  Domanda di transito, limitazione o chiusura traffico
</h1>

{{ anagrafica.cognome_nome("AventeTitolo1", "Il sottoscritto", "Richiedente", "visibility:visibility", "cursor:pointer", "visibility:visibility") }}
 <table class="Modulo" style="border:1px solid grey; margin-top:-1px;">
        <tbody>
          <tr class="Rigaintestazione">
            <td colspan="5">
              <p>
                <b> in qualità di </b>
                <span style="font-size:70%"><i> (questa sezione deve essere compilata se il dichiarante non è una persona fisica) </i></span>
              </p>
            </td>
          </tr>
          <tr class="Rigaintestazioneridotta">
            <td colspan="5">
              <p class="Labelcella"> Ruolo</p>
            </td>
          </tr>
          <tr>
            <td colspan="5">
              <select class="inputNormal" id="AventeTitolo1_Ruolo2" name="AventeTitolo1_Ruolo2" style="width:100%;" mandatory_enabled="true" label="Ruolo del richiedente">
                <option value=""></option>
                  <option value="persona fisica">persona fisica</option>
                  <option value="titolare">titolare</option>
                  <option value="legale rappresentante">legale rappresentante</option>
                  <option value="amministratore del condominio">amministratore del condominio</option>
                  <option value="mandatario">mandatario</option>
                  <option value="erede o avente causa">erede o avente causa</option>
                  <option value="curatore fallimentare">curatore fallimentare</option>
              </select>
            </td>
          </tr>
          <tr class="Rigaintestazioneridotta">
            <td colspan="3">
              <p class="Labelcella"> Denominazione/Ragione sociale </p>
            </td>
            <td colspan="2">
              <p class="Labelcella"> Tipologia </p>
            </td>
          </tr>
          <tr>
            <td colspan="3" mandatory_enabled="#AventeTitolo1_Ruolo2.value() != 'persona fisica'">
              <input class="" id="AventeTitolo1_Denominazione" name="AventeTitolo1_Denominazione" style="width:100%" label="Denominazione/Ragione sociale"/>
            </td>
              <td colspan="2" mandatory_enabled="#AventeTitolo1_Ruolo2.value() != 'persona fisica'">
                {{ utils.tipologiaimpresa( 'AventeTitolo1' + '_TipologiaImpresa' )}}
              </td>
          </tr>
   </tbody>
</table>
<h3 class="Modulo">
  CHIEDE
</h3>
<p class="Modulo">
  di regolamentare la viabilità come segue
</p>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
          {% set zone = ['divieto di transito','divieto di transito e di sosta','divieto di sosta','senso unico alternato'] %}
      {% for zona in zone %}
      <tr>
        <td style="vertical-align: top; width: 4%;" >
           {% if loop.first %} <div id="Tassonomia_Viabilita" name="Tassonomia_Viabilita" label="Regolamentazione viabilità" mandatory="true"></div> {% endif %}
            <input group="Tassonomia_Viabilita" id="Tassonomia_Viabilita{{ loop.index }}" name="Tassonomia_Viabilita{{ loop.index }}" type="checkbox" value="SI" />
        </td>
        <td ><p>{{ zona }}</p></td>
      </tr>
      {% endfor %}
  </tbody>
</table>
{{ immobili.immobile_toponomastica("Immobile1", "in", "Localizzazione intervento", "display:visibility", "visibility:hidden", "cursor:default", "false") }}
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p class="Labeltabella">
          nei seguenti giorni
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td style="width: 50%;">
        <p class="Labelcella">
          Dal
        </p>
      </td>
      <td style="width: 50%;">
        <p class="Labelcella">
          Al
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input mandatory="true" format="date" class="inputNormal" id="Parametri_GiornoInizio" name="Parametri_GiornoInizio" style="width: 100%;" label="Giorno inizio" />
      </td>
      <td>
        <input mandatory="true" format="date" class="inputNormal" id="Parametri_GiornoFine" name="Parametri_GiornoFine" style="width: 100%;" label="Giorno inizio" />
      </td>
    </tr>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p class="Labeltabella">
          nei seguenti orari
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td style="width: 50%;">
        <p class="Labelcella">
          Dalle
        </p>
      </td>
      <td style="width: 50%;">
        <p class="Labelcella">
          Alle
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input mandatory="true" format="time" class="inputNormal" id="Parametri_OrarioInizio" name="Parametri_OrarioInizio" style="width: 100%;" label="Orario inizio" />
      </td>
      <td>
        <input mandatory="true" format="time" class="inputNormal" id="Parametri_OrarioFine" name="Parametri_OrarioFine" style="width: 100%;" label="Orario inizio" />
      </td>
    </tr>
  </tbody>
</table>
<table class="Modulo" style="border: 0px;">
  <tbody>    
    <tr style="border: 0px;">
      <td style="vertical-align: top; width: 4%;border: 0px;background-color: white;" rowspan="6">
        <input id="Tassonomia_Ztl" name="Tassonomia_Ztl" type="checkbox" value="SI" label="ZTL" />
      </td>
      <td style="border: 0px;" colspan="4">
        <p>
          in caso di ZTL o di oggetto di ordinanza di divieto al transito, il transito in deroga a divieto di transito per limiti di portata o ZTL per il periodo necessario per lo svolgimento dell'iniziativa per i seguenti veicoli 
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta" style="border: 0px;">
      <td>
        <p class="Labelcella">
            Targa
        </p>
      </td>
      <td>
        <p class="Labelcella">
            Tipo veicolo
        </p>
      </td>
      <td>
        <p class="Labelcella">
            Portata complessiva
        </p>
      </td>
      <td>
        <p class="Labelcella">
            Numero assi
        </p>
      </td>
    </tr>
        {% for i in range(1, 5) %}
    <tr {% if i==1 %}  mandatory_enabled="#Tassonomia_Ztl.checked()" {% endif %} style="border: 0px;">
      <td><input class="inputNormal" id="Parametri_Targa{{ loop.index }}" name="Parametri_Targa{{ loop.index }}" style="width: 100%;" label="Targa" {% if not loop.first %} enabled="#Parametri_Targa{{ i-1 }}.value()!=''"{% endif %} /></td>
      <td><input class="inputNormal" id="Parametri_TipoVeicolo{{ loop.index }}" {% if not loop.first %} mandatory_enabled="#Parametri_Targa{{ i }}.value()!=''" {% endif %} name="Parametri_TipoVeicolo{{ loop.index }}" style="width: 100%;"   label="Quantià"/></td>
      <td><input class="inputNormal" id="Parametri_PortataTotale{{ loop.index }}" {% if not loop.first %} mandatory_enabled="#Parametri_Targa{{ i }}.value()!=''" {% endif %} name="Parametri_PortataTotale{{ loop.index }}" style="width: 100%;"  label="PortataTotale (W)"/></td>
      <td><input class="inputNormal" id="Parametri_NumeroAssi{{ loop.index }}" {% if not loop.first %} mandatory_enabled="#Parametri_Targa{{ i }}.value()!=''" {% endif %} format="number" name="Parametri_NumeroAssi{{ loop.index }}" style="width: 100%;" label="Numero assi"/></td> 
    </tr>
    {% endfor %}  
  </tbody>
</table>





<globo_salto_pagina></globo_salto_pagina>
<br>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Eventuali annotazioni
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <textarea class="inputNormal" id="Parametri_Annotazioni" name="Parametri_Annotazioni" style="width: 100%; height: 5cm;" label="Eventuali annotazioni"></textarea>
      </td>
    </tr>
  </tbody>
</table>
<br>
<table class="Modulo" name="Allegati" style="border: 1px solid grey">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p style="text-align: center;">
          <b>
            Elenco degli allegati
          </b>
          <br/>
          <span style="font-size:70%">
            <i>(barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)</i>
          </span>
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input id="DAE-CDI" name="DAE-CDI" type="checkbox" value="OBBLIGATORIO" />
      </td>
      <td style="background-color: #eeeeee;">
        <p>
          copia del documento d'identità
          <br/>
          <span style="font-size:70%">
            <i>(da allegare se il modulo è sottoscritto con firma autografa)</i>
          </span>
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
      </td>
      <td style="background-color: #eeeeee;">
        <p>
          altri allegati
          <span style="font-size:70%">(specificare)</span>
          <input class="" label="Altri allegati" id="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
        </p>
      </td>
    </tr>
  </tbody>
</table>
<br>
{{ utils.trattamento_dati_personali() }}
<br/>
  {{ utils.firma_hidden() }}
<br/>

<p class="Modulo">
  <input id="SalvaModulo" name="SalvaModulo" style="height:30px;width:120px;" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza." type="submit" value="Salva modulo"/>
</p>

<input id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cDAE-CDI" name="GLOBO_allegato_cDAE-CDI" obbligatorio="#DAE_CDI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>
<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
